Jump to content
Not connected, Your IP: 3.219.31.204
Staff

Eddie Desktop 2.19beta released

Recommended Posts

I dont know how but I actually had it working for a bit last night at about 1am. I uninstalled Little Snitch, and started up Eddie. I disabled the launch daemon just in case, and connected to Groombridge. Everything seemed ok. Reinstalled Little Snitch and somehow it was still working. Disconnected from the server, reconnected. Tried enabling/disabling the network lock, etc. Everything was working fine. I didn't leave it on when I went to bed in case my Mac ended up going into a reboot loop all night. Now this morning, its back to the same behavior. Just watched my Mac reboot three times just trying to get into the preferences to add a website to the Routes table. 

Share this post


Link to post

I just tested out TunnelBlick with an AirVPN config file, and it seems to work fine (with Little Snitch running).  So this could be a workaround until Eddie is fixed up.  I do get this warning, which may be a setting when i'm creating the Config files?  Though www.ipleak.net seems to report everything working fine.

This VPN works now, but may not work in a future version of Tunnelblick.
The OpenVPN configuration file for 'AirVPN_Canada_UDP-443' should be updated so it can be used with modern versions of OpenVPN. It contains these OpenVPN options:
 • 'comp-lzo' was deprecated in OpenVPN 2.4 and has been or may be removed in a later version
Tunnelblick will use OpenVPN 2.4.9 - OpenSSL v1.1.1h to connect this configuration.
However, you will not be able to connect to this VPN with future versions of Tunnelblick that do not include a version of OpenVPN that accepts the options.

Share this post


Link to post
On 11/12/2020 at 3:01 PM, Clodo said:

All of your: please retry the latest beta version, contain the fix. Thanks.


Yup, worked for me.
Though it made me realize there were other issues.  I had to reset Windows and reinstall the VC_redist.x64 for everything to work properly.

A million thanks

Share this post


Link to post

New computer, fresh install of Ubuntu 20.04.1 LTS. and 2.19.6. Working OK for couple of days then crashed with "double free or corruption(out)" report.
I have the crash report file (18Mb) if anyone would like me to upload it.
 

Share this post


Link to post

Still crashing and freezing my MacBook Pro running big sur with the latest Eddie.  I got a message from support suggestion trying the latest Eddie but no go.

Share this post


Link to post

2.19.6 Eddie_ui unresponsive - mono crash. Seems to work OK for an hour or so then stops. OpenVPN still connected.

Share this post


Link to post

After updating to Eddie 2.19.6 on my Win10 machine, I'm getting the following error:

unable to obtain elevated privileges (required): Unable to start (unable to initialize service) 
and Eddie won't start.

I*d like to go back to my previously installed beta (2.19.4), but since older versions aren't available on your site, I'm stuck with 2.18.9 now, which gives me kinda slow speed 100Mbit vs 250Mbit on 2.19.4 😕 

Is there a way to fix this error, or does anybody have the 2.19.4 (or maybe 2.19.5) version of Eddie?

 

Share this post


Link to post
38 minutes ago, harold.lewis said:

Eddie 2.19.6 works fine in Arch, stunnel installed

To be helpful to me, and to others, can you clarify what Arch is and what Stunnel is? And how to use it with Eddie, preferably on a Mac.

Share this post


Link to post

Hi, I´m on mac os big sur and use Eddie beta 2.19.6. I can connect to nearly every location but all netherland servers don´t connect. Does anyone have an idea what might cause the issue? Eddie 2.19.5 worked well. Is there any chance to downgrade to this version?

Best regards

Edit: If I disable Hummingbird it connects to netherlands but takes way longer to establish a connection like to other loactions..????

Share this post


Link to post
On 11/13/2020 at 7:41 PM, Bubo said:

@Clodo 2.19.6 portable no go with " Unable to initialize native library.  Maybe a CPU architecture issue." error, W7 pro x64 fully patched with esu updates.


Please try to download this: https://eddie.website/windows-runtime/ and retry (it's a dependency that installer edition perform automatically).
I know, the Eddie message don't help. I'm waiting for feedback, the next version will have a better solution.

Share this post


Link to post
On 11/17/2020 at 9:16 AM, Clodo said:

Please try to download this: https://eddie.website/windows-runtime/ and retry (it's a dependency that installer edition perform automatically).
I know, the Eddie message don't help. I'm waiting for feedback, the next version will have a better solution.
@Clodo, Success, working great on Toronto servers with portable with full chacha20, so it was a dependency issue, can't seem to connect to Vancouver yet and ipleak.net is really wonky.
Thanks, Bubo

Share this post


Link to post
If you are using Little Snitch, I e-mailed them and they responded to my inquiry with this:
Would have nice to know before updating to Version 5, as I thought V4 didn't work:
 
Quote

 

MANY people have this same problem and no, sorry, we don't know of any solution. It's a bug in macOS.
We currently recommend a downgrade to Little Snitch 4.6 if you depend on the VPN:

 

Share this post


Link to post
4 hours ago, pwolverine said:
If you are using Little Snitch, I e-mailed them and they responded to my inquiry with this:
Would have nice to know before updating to Version 5, as I thought V4 didn't work:
 

Good to know, they said they were going to make that available when they released v5 but they forgot to tell everyone they posted that bit of info. 

korsko and wugamuga both had it happen without Little Snitch installed though. That bug might be affecting more than just Network Extensions.

Share this post


Link to post

I also wrote little snitch because I noticed -- when I tried to uninstall it (they recommend to drag the app to the trash in macOS and that is all that is necessary) -- it left a daemon agent and network extension running.  I saw this in the macOS activity monitor.  I was unable to uninstall them.

Objective Development/little snitch mailed me inaccurate instructions on how to complete the uninstall due to their faulty uninstall process.   I figured out how to do it on my own.

Now that I completely uninstalled little snitch, it appears that the latest Eddie is functioning, although my confidence level is low.

Objective development wrote me in response,  nothing about a known problem, or about downgrading as reported in the previous message. The right hand doesn't seem to know what the left hand is doing. 

I wrote them that I'm very disappointed that their uninstall is not functioning and leaving behind components that are interfering and running, as is visible in the activity monitor. 
 

Share this post


Link to post

I never get a notice of a new version release
I had to check the forum every time

update channel is set to "beta" but i don't get notifications? Would be nice to get a popup.
Also under the version number in the main screen i don't get any notice or notification (i think this worked fine in stable)
 

Share this post


Link to post
On 11/17/2020 at 2:14 PM, korsko said:

Hi, I´m on mac os big sur and use Eddie beta 2.19.6. I can connect to nearly every location but all netherland servers don´t connect. Does anyone have an idea what might cause the issue? Eddie 2.19.5 worked well. Is there any chance to downgrade to this version?


You can retry now? Maybe you try to connect to Netherland servers during the schedulated upgrade yesterday.

Honestly, NOTHING are changed in macOS between 2.19.5 and 2.19.6, i don't understand your issue.

In general, all our BigSur in our labs works as expected with Eddie, we currently don't reproduce any issue, still under investigation.
 

Share this post


Link to post
On 11/17/2020 at 8:07 AM, veryprivatenerd said:

After updating to Eddie 2.19.6 on my Win10 machine, I'm getting the following error:


unable to obtain elevated privileges (required): Unable to start (unable to initialize service) 
and Eddie won't start.

I*d like to go back to my previously installed beta (2.19.4), but since older versions aren't available on your site, I'm stuck with 2.18.9 now, which gives me kinda slow speed 100Mbit vs 250Mbit on 2.19.4 😕 

Is there a way to fix this error, or does anybody have the 2.19.4 (or maybe 2.19.5) version of Eddie?

 

You are using portable or installer edition?
Try the installer OR launch https://eddie.website/windows-runtime/ before launching the portable, i'm waiting for feedback thx

Share this post


Link to post
6 hours ago, zsam288 said:

I never get a notice of a new version release
I had to check the forum every time

update channel is set to "beta" but i don't get notifications? Would be nice to get a popup.
Also under the version number in the main screen i don't get any notice or notification (i think this worked fine in stable)
 


I just downloaded 2.19.5, switched to Beta channel, at restart show the notice.
What OS you use? Thx.

x.png

Share this post


Link to post

I'm also having problems with eddie on big sur, I'm also using little snitch. It's affecting my torrent app (qBittorent), when eddie is running the torrent app takes ages to open, and I mean AGES, sometimes several hours. Once it is open it hangs constantly and most of the torrents are not working. Eddie itself seems unstable on big sur, I have difficulty quiting the app and deactivating the network lock. I usually end up having to force quit eddie which then leads to problems with MacOS not shutting down properly. My torrent app and big sur run just fine if eddie isn't running. I've just downloaded and set up the Viscosity VPN client and everything runs just fine with that, so that fixes my problem for now but I'd like to get back to eddie as it offers features such as network lock.

I've tried both the stable and beta versions of eddie, same results with both.

Share this post


Link to post
On 11/20/2020 at 6:59 PM, Clodo said:

I just downloaded 2.19.5, switched to Beta channel, at restart show the notice.
What OS you use? Thx.

x.png


windows 10, with network lock active at startup, could that be it?

Share this post


Link to post

I'm getting this error

Unable to obtain elevated privileges (required): Unable to start (unable to initialize service)
on Eddie 2.19.6 (running Windows 10) both installer version and portable version. I don't have an error in 2.18.9, it only started after I updated.

Share this post


Link to post
Small bug: Eddie icon stays gray in tray, instead of blue, even if connection is active and working.
Also, main window goes frozen and shows no time passing, no upload nor dowload bits. But connection works.


Fedora33 KDE spin with Plasma 5.20.

 

Share this post


Link to post

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
  • Security Check
    Play CAPTCHA Audio
    Refresh Image

×
×
  • Create New...